unit ServerMainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Corba, Foo_c, Foo_i, Foo_s, Foo_impl, Dialogs, StdCtrls, ExtCtrls;

type
  TServerForm = class(TForm)
    Timer: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    lblBlocks: TLabel;
    lblBytes: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
  private
    { Private declarations }
    Foo: IFoo;
    procedure InitCorba;
  public
    { Public declarations }
  end;

var
  ServerForm: TServerForm;

implementation

{$R *.dfm}

procedure TServerForm.InitCorba;
begin
  CorbaInitialize;
  Foo := TIFooSkeleton.Create('FooBar', TIFoo.Create);
  BOA.ObjIsReady(Foo as _Object);
end;

procedure TServerForm.FormCreate(Sender: TObject);
begin
  TimerTimer(Timer); //make timer tick right at start
  InitCorba;
end;

procedure TServerForm.TimerTimer(Sender: TObject);
var
  Blocks, Bytes: Cardinal;
begin
  Blocks := AllocMemCount;
  Bytes := AllocMemSize;
  lblBlocks.Caption := Format('%.0n ($%x)', [Blocks * 1.0, Blocks]);
  lblBytes.Caption := Format('%.0n ($%x)', [Bytes * 1.0, Bytes]);
end;

end.
