unit SubComponentTest;

interface

uses
  Windows, Messages, SysUtils, Classes;

type
  TSubComponent = class(TComponent)
  private
    FTestProp: Integer;
  published
    property TestProp: Integer read FTestProp write FTestProp;
  end;

  TSubComponentTest = class(TComponent)
  private
    FSubComponent: TSubComponent;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property SubComponent: TSubComponent read FSubComponent;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TSubComponentTest]);
end;

{ TSubComponentTest }

constructor TSubComponentTest.Create(AOwner: TComponent);
begin
  inherited;
  FSubComponent := TSubComponent.Create(Self);
  FSubComponent.SetSubComponent(True)
end;

end.
